Subject: [PATCH 2/2] ARM: omap5/dra7xx: Fix counter frequency drift for AM572x errata i856.

From: [email-masked] (Nishanth Menon)
Date: Wed, 17 Dec 2014 09:53:59 -0600

On 17:45-20141217, Tero Kristo wrote:
> On 12/17/2014 05:27 PM, Lennart Sorensen wrote:
> >On Wed, Dec 17, 2014 at 09:22:25AM -0600, Nishanth Menon wrote:
> >>A clock mux might do the job?
> >>
> >>value 1, 2 , 3 will imply sysclk1 / 610
> >>value of 0 implies fixed 32768
> >>
> >>soemthing like
> >>sys_clk32_crystal {
> >>                compatible = "fixed-clock";
> >>                clock-frequency = <32768>;
> >>}
> >>
> >>sys_clk32_pseudo {
> >>                compatible = "fixed-clock";
> >>                compatible = "fixed-factor-clock";
> >>                clocks = <&sys_clkin1>;
> >>                clock-mult = <1>;
> >>                clock-div = <610>;
> >>}
> >>
> >>sys_32k_ck: sys_32k_ck {
> >>	compatible = "ti,mux-clock";
> >>	clocks = <&sys_clk32_crystal>, <&sys_clk32_pseudo>, <&sys_clk32_pseudo>, <&sys_clk32_pseudo>;
> >>};
> >>
> >>I think... The only issue is that the BOOTSTRAP register is not around
> >>the usual CM1,2 address region...
> >
> >OK, I like where that idea is headed.  That looks promising.
> >
> 
> Yea clock mux can be used. However, we don't have support for DRA7
> control module clocks in the DT yet. I have posted patches with
> support towards this a couple of weeks back, but they need some
> revising.
> 
> Thus, we maybe need to apply the timer patches as is for now, and
> fix the clock tree a bit later.

Sounds good to me, could you propose a patch in list?
-- 
Regards,
Nishanth Menon